Hardware Locality (hwloc): Data Fields

Hardware Locality (hwloc) 2.14.0rc1

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- abi : hwloc_component
- alloc_membind : hwloc_topology_membind_support
- arity : hwloc_obj
- associativity : hwloc_obj_attr_u::hwloc_cache_attr_s
- attr : hwloc_obj

### - b -

- bind_membind : hwloc_topology_membind_support
- bridge : hwloc_obj_attr_u
- bus : hwloc_cl_device_topology_amd, hwloc_obj_attr_u::hwloc_pcidev_attr_s

### - c -

- cache : hwloc_obj_attr_u
- children : hwloc_obj
- class_id : hwloc_obj_attr_u::hwloc_pcidev_attr_s
- complete_cpuset : hwloc_obj
- complete_nodeset : hwloc_obj
- count : hwloc_obj_attr_u::hwloc_numanode_attr_s::hwloc_memory_page_type_s
- cpubind : hwloc_topology_support
- cpukind_efficiency : hwloc_topology_discovery_support
- cpuset : hwloc_location::hwloc_location_u, hwloc_obj

### - d -

- data : hwloc_cl_device_topology_amd, hwloc_component
- depth : hwloc_obj, hwloc_obj_attr_u::hwloc_bridge_attr_s, hwloc_obj_attr_u::hwloc_cache_attr_s, hwloc_obj_attr_u::hwloc_group_attr_s
- dev : hwloc_obj_attr_u::hwloc_pcidev_attr_s
- device : hwloc_cl_device_topology_amd
- device_id : hwloc_obj_attr_u::hwloc_pcidev_attr_s
- diff : hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s
- disable : hwloc_backend
- disallowed_numa : hwloc_topology_discovery_support
- disallowed_pu : hwloc_topology_discovery_support
- discover : hwloc_backend
- discovery : hwloc_topology_support
- domain : hwloc_obj_attr_u::hwloc_bridge_attr_s, hwloc_obj_attr_u::hwloc_pcidev_attr_s
- dont_merge : hwloc_obj_attr_u::hwloc_group_attr_s
- downstream : hwloc_obj_attr_u::hwloc_bridge_attr_s
- downstream_type : hwloc_obj_attr_u::hwloc_bridge_attr_s

### - e -

- enabled_by_default : hwloc_disc_component
- excluded_phases : hwloc_disc_component, hwloc_disc_status

### - f -

- finalize : hwloc_component
- first_child : hwloc_obj
- firsttouch_membind : hwloc_topology_membind_support
- flags : hwloc_backend, hwloc_component, hwloc_disc_status
- func : hwloc_obj_attr_u::hwloc_pcidev_attr_s
- function : hwloc_cl_device_topology_amd

### - g -

- generic : hwloc_topology_diff_obj_attr_u, hwloc_topology_diff_u
- get_area_membind : hwloc_topology_membind_support
- get_area_memlocation : hwloc_topology_membind_support
- get_pci_busid_cpuset : hwloc_backend
- get_proc_cpubind : hwloc_topology_cpubind_support
- get_proc_last_cpu_location : hwloc_topology_cpubind_support
- get_proc_membind : hwloc_topology_membind_support
- get_thisproc_cpubind : hwloc_topology_cpubind_support
- get_thisproc_last_cpu_location : hwloc_topology_cpubind_support
- get_thisproc_membind : hwloc_topology_membind_support
- get_thisthread_cpubind : hwloc_topology_cpubind_support
- get_thisthread_last_cpu_location : hwloc_topology_cpubind_support
- get_thisthread_membind : hwloc_topology_membind_support
- get_thread_cpubind : hwloc_topology_cpubind_support
- gp_index : hwloc_obj
- group : hwloc_obj_attr_u

### - i -

- imported_support : hwloc_topology_misc_support
- index : hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s
- infos : hwloc_obj
- infos_count : hwloc_obj
- init : hwloc_component
- instantiate : hwloc_disc_component
- interleave_membind : hwloc_topology_membind_support
- io_arity : hwloc_obj
- io_first_child : hwloc_obj
- is_thissystem : hwloc_backend

### - k -

- kind : hwloc_distances_s, hwloc_obj_attr_u::hwloc_group_attr_s

### - l -

- last_child : hwloc_obj
- linesize : hwloc_obj_attr_u::hwloc_cache_attr_s
- linkspeed : hwloc_obj_attr_u::hwloc_pcidev_attr_s
- local_memory : hwloc_obj_attr_u::hwloc_numanode_attr_s
- location : hwloc_location
- logical_index : hwloc_obj

### - m -

- membind : hwloc_topology_support
- memory_arity : hwloc_obj
- memory_first_child : hwloc_obj
- migrate_membind : hwloc_topology_membind_support
- misc : hwloc_topology_support
- misc_arity : hwloc_obj
- misc_first_child : hwloc_obj

### - n -

- name : hwloc_disc_component, hwloc_info_s, hwloc_obj, hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s
- nbobjs : hwloc_distances_s
- newvalue : hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s, hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s
- next : hwloc_topology_diff_u::hwloc_topology_diff_generic_s, hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s, hwloc_topology_diff_u::hwloc_topology_diff_too_complex_s
- next_cousin : hwloc_obj
- next_sibling : hwloc_obj
- nexttouch_membind : hwloc_topology_membind_support
- nodeset : hwloc_obj
- numa : hwloc_topology_discovery_support
- numa_memory : hwloc_topology_discovery_support
- numanode : hwloc_obj_attr_u

### - o -

- obj_attr : hwloc_topology_diff_u
- obj_depth : hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s, hwloc_topology_diff_u::hwloc_topology_diff_too_complex_s
- obj_index : hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s, hwloc_topology_diff_u::hwloc_topology_diff_too_complex_s
- object : hwloc_location::hwloc_location_u
- objs : hwloc_distances_s
- oldvalue : hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s, hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s
- os_index : hwloc_obj
- osdev : hwloc_obj_attr_u

### - p -

- page_types : hwloc_obj_attr_u::hwloc_numanode_attr_s
- page_types_len : hwloc_obj_attr_u::hwloc_numanode_attr_s
- parent : hwloc_obj
- pci : hwloc_obj_attr_u::hwloc_bridge_attr_s
- pci_bus : hwloc_cl_device_pci_bus_info_khr
- pci_device : hwloc_cl_device_pci_bus_info_khr
- pci_domain : hwloc_cl_device_pci_bus_info_khr
- pci_function : hwloc_cl_device_pci_bus_info_khr
- pcidev : hwloc_obj_attr_u
- pcie : hwloc_cl_device_topology_amd
- phase : hwloc_disc_status
- phases : hwloc_backend, hwloc_disc_component
- prev_cousin : hwloc_obj
- prev_sibling : hwloc_obj
- priority : hwloc_disc_component
- private_data : hwloc_backend
- pu : hwloc_topology_discovery_support

### - r -

- raw : hwloc_cl_device_topology_amd
- revision : hwloc_obj_attr_u::hwloc_pcidev_attr_s

### - s -

- secondary_bus : hwloc_obj_attr_u::hwloc_bridge_attr_s
- set_area_membind : hwloc_topology_membind_support
- set_proc_cpubind : hwloc_topology_cpubind_support
- set_proc_membind : hwloc_topology_membind_support
- set_thisproc_cpubind : hwloc_topology_cpubind_support
- set_thisproc_membind : hwloc_topology_membind_support
- set_thisthread_cpubind : hwloc_topology_cpubind_support
- set_thisthread_membind : hwloc_topology_membind_support
- set_thread_cpubind : hwloc_topology_cpubind_support
- sibling_rank : hwloc_obj
- size : hwloc_obj_attr_u::hwloc_cache_attr_s, hwloc_obj_attr_u::hwloc_numanode_attr_s::hwloc_memory_page_type_s
- string : hwloc_topology_diff_obj_attr_u
- subdevice_id : hwloc_obj_attr_u::hwloc_pcidev_attr_s
- subkind : hwloc_obj_attr_u::hwloc_group_attr_s
- subordinate_bus : hwloc_obj_attr_u::hwloc_bridge_attr_s
- subtype : hwloc_obj
- subvendor_id : hwloc_obj_attr_u::hwloc_pcidev_attr_s
- symmetric_subtree : hwloc_obj

### - t -

- too_complex : hwloc_topology_diff_u
- total_memory : hwloc_obj
- type : hwloc_cl_device_topology_amd, hwloc_component, hwloc_location, hwloc_obj, hwloc_obj_attr_u::hwloc_cache_attr_s, hwloc_obj_attr_u::hwloc_osdev_attr_s, hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_generic_s, hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s, hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s, hwloc_topology_diff_u::hwloc_topology_diff_generic_s, hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s, hwloc_topology_diff_u::hwloc_topology_diff_too_complex_s

### - u -

- uint64 : hwloc_topology_diff_obj_attr_u
- unused : hwloc_cl_device_topology_amd
- upstream : hwloc_obj_attr_u::hwloc_bridge_attr_s
- upstream_type : hwloc_obj_attr_u::hwloc_bridge_attr_s
- userdata : hwloc_obj

### - v -

- value : hwloc_info_s
- values : hwloc_distances_s
- vendor_id : hwloc_obj_attr_u::hwloc_pcidev_attr_s

### - w -

- weighted_interleave_membind : hwloc_topology_membind_support